Anonymous Login
2016-12-04 02:50 CET

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
06685Bug reports[All Projects] Import/Exportpublic2012-10-30 14:52
Reporterdocl 
Assigned Toc_schmitz 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06685: Export of results to excel format does not work- creates empty files
DescriptionA very important feature of limesurvey (in my humble opinion) is apparently broken.
When exporting results to excel format it simply creates an empty file, that also results in an error when opening it in excel (two different versions of excel tried).

Another resembling bug regarding the export of statistics to excel and pdf format is reported here:
http://bugs.limesurvey.org/view.php?id=6644 - however this export type results in a server side 500 error. Don't know if they are connected in any way..
Steps To ReproduceExport results from attached survey to excel format, open the excel file.
The files is empty (and probably creates an error), although it should contain two response sets.
TagsNo tags attached.
Complete LimeSurvey version number (& build)121011
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5.1.63-0+squeeze1
Operating System (Server)Linux
Webserver software & versionApache/2.2.16 (Debian)
PHP Version5.3.17
Attached Files
  • ? file icon survey_bug_example_2.lsa (3,612 bytes) 2012-10-11 17:56
  • ? file icon 581731 (12,592 bytes) 2012-10-12 18:38 -
    <!DOCTYPE html>
    <html lang="en">
    <head>
            <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
        <script type="text/javascript" src="/survey/scripts/jquery/jquery.js"></script>
        <script type="text/javascript" src="/survey/scripts/jquery/jquery-ui.js"></script>
        <script type="text/javascript" src="/survey/scripts/jquery/jquery.ui.touch-punch.min.js"></script>
        <script type="text/javascript" src="/survey/scripts/jquery/jquery.qtip.js"></script>
        <script type="text/javascript" src="/survey/scripts/jquery/jquery.notify.js"></script>
        <script type="text/javascript" src="/survey/scripts/admin/admin_core.js"></script>
            <title>Survey</title>
        <link rel="stylesheet" type="text/css" href="/survey/styles/gringegreen/jquery-ui/jquery-ui.css" />
        <link rel="stylesheet" type="text/css" href="/survey/styles/gringegreen/printablestyle.css" media="print" />
        <link rel="stylesheet" type="text/css" href="/survey/styles/gringegreen/adminstyle.css" />
        <link rel="stylesheet" type="text/css" href="/survey/styles/adminstyle.css" />
                    <link rel="stylesheet" type="text/css" media="all" href="/survey/styles/gringegreen/superfish.css" />
                        <link rel="shortcut icon" href="/survey/styles/favicon.ico" type="image/x-icon" />
        <link rel="icon" href="/survey/styles/favicon.ico" type="image/x-icon" />
        </head>
    <body>
        <script type='text/javascript'>
            var userdateformat='dd.mm.yy';
            var userlanguage='en';
        </script>
        <div class='wrapper'>
            <div class='maintitle'>Survey</div>
    <div class='menubar'>
        <div class='menubar-title ui-widget-header'>
            <strong>Export results</strong>: (only for test purpose)
        </div>
        <div class='menubar-main'>
            <div class='menubar-left'>
                <a href='/survey/index.php/admin/survey/view/surveyid/581731'>
                    <img src='/survey/styles/gringegreen/images/home.png' title='' alt='Return to survey administration' /></a>
                <img src='/survey/styles/gringegreen/images/blank.gif' alt='' width='11' />
                <img src='/survey/styles/gringegreen/images/separator.gif' class='separator' alt='' />
    
                                <a href='/survey/index.php/admin/responses/index/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/summary.png' title='' alt='Show summary information' /></a>
                                        <a href='/survey/index.php/admin/responses/browse/surveyid/581731'>
                            <img src='/survey/styles/gringegreen/images/document.png' title='' alt='Display responses' /></a>
                                        <a href='/survey/index.php/admin/responses/browse/surveyid/581731/start/0/limit/50/order/desc'>
                        <img src='/survey/styles/gringegreen/images/viewlast.png' alt='Display last 50 responses' /></a>
                                    <a href='/survey/index.php/admin/dataentry/view/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/dataentry.png' alt='Dataentry screen for survey' /></a>
                                    <a href='/survey/index.php/admin/statistics/index/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/statistics.png' alt='Get statistics from these responses' /></a>
                                <img src='/survey/styles/gringegreen/images/separator.gif' class='separator' alt='' />
                                <a href='/survey/index.php/admin/export/exportresults/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/export.png' alt='Export results to application' /></a>
    
                    <a href='/survey/index.php/admin/export/exportspss/sid/581731'>
                        <img src='/survey/styles/gringegreen/images/exportspss.png' alt="Export results to a SPSS/PASW command file" /></a>
    
                    <a href='/survey/index.php/admin/export/exportr/sid/581731'>
                        <img src='/survey/styles/gringegreen/images/exportr.png' alt='Export results to a R data file' /></a>
                                    <a href='/survey/index.php/admin/dataentry/import/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/importold.png' alt='Import responses from a deactivated survey table' /></a>
                                <img src='/survey/styles/gringegreen/images/separator.gif' class='separator' alt='' />
    
                                <a href='/survey/index.php/admin/saved/view/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/saved.png' title='' alt='View saved but not submitted responses' /></a>
                                    <a href='/survey/index.php/admin/dataentry/vvimport/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/importvv.png' alt='Import a VV survey file' /></a>
                                    <a href='/survey/index.php/admin/export/vvexport/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/exportvv.png' title='' alt='Export a VV survey file' /></a>
                            </div>
        </div>
    </div>
    <div class='header ui-widget-header'>Export results    </div>
    <div class='wrap2columns'>
        <form id='resultexport' action='/survey/index.php/admin/export/exportresults/surveyid/581731' method='post'><div class='left'>
    
                
                <fieldset             ><legend>General</legend>
    
                    <ul><li><label>Range:</label> From <input type='text' name='export_from' size='8' value='1' />
                            to <input type='text' name='export_to' size='8' value='2' /></li>
    
                        <li><br /><label for='completionstate'>Completion state</label> <select id='completionstate' name='completionstate'>
                                <option value='complete' >Completed responses only</option>
                                <option value='all' selected='selected'>All responses</option>
                                <option value='incomplete' >Incomplete responses only</option>
                            </select>
                        </li></ul></fieldset>
    
                <fieldset><legend>
                    Headings</legend>
                    <ul>
                        <li><input type='radio' class='radiobtn' name='exportstyle' value='code' id='headcodes' />
                            <label for='headcodes'>Question code</label></li>
                        <li><input type='radio' class='radiobtn' name='exportstyle' value='abbreviated' id='headabbreviated' />
                            <label for='headabbreviated'>Abbreviated question text</label></li>
                        <li><input type='radio' class='radiobtn' checked='checked' name='exportstyle' value='full' id='headfull'  />
                            <label for='headfull'>Full question text</label></li>
                        <li><br /><input type='checkbox' value='Y' name='convertspacetous' id='convertspacetous' />
                            <label for='convertspacetous'>
                            Convert spaces in question text to underscores</label></li>
                    </ul>
                </fieldset>
    
                <fieldset>
                    <legend>Responses</legend>
                    <ul>
                        <li><input type='radio' class='radiobtn' name='answers' value='short' id='ansabbrev' />
                            <label for='ansabbrev'>Answer codes</label></li>
    
                        <li><input type='checkbox' value='Y' name='convertyto1' id='convertyto1' style='margin-left: 25px' />
                            <label for='convertyto1'>Convert Y to</label> <input type='text' name='convertyto' size='3' value='1' maxlength='1' style='width:10px'  />
                        </li>
                        <li><input type='checkbox' value='Y' name='convertnto2' id='convertnto2' style='margin-left: 25px' />
                            <label for='convertnto2'>Convert N to</label> <input type='text' name='convertnto' size='3' value='2' maxlength='1' style='width:10px' />
                        </li><li>
                            <input type='radio' class='radiobtn' checked name='answers' value='long' id='ansfull' />
                            <label for='ansfull'>
                            Full answers</label></li>
                    </ul></fieldset>
                <fieldset><legend>Format</legend>
                    <ul>
                        <li><input type='radio' class='radiobtn' name='type' value='csv' id='csvdoc'  onclick='document.getElementById("ansabbrev").disabled=false;' />
                            <label for='csvdoc'>CSV File (all charsets)</label></li>
                        <li><input type='radio' class='radiobtn' name='type' value='xls' checked id='exceldoc'  onclick='document.getElementById("ansabbrev").disabled=false;' />
                            <label for='exceldoc'>Microsoft Excel (all charsets)                        </label></li>
                        <li>
                            <input type='radio' class='radiobtn' name='type' value='doc' id='worddoc' onclick='document.getElementById("ansfull").checked=true;document.getElementById("ansabbrev").disabled=true;' />
                            <label for='worddoc'>
                            Microsoft Word (latin charset)</label></li>
                        <li><input type='radio' class='radiobtn' name='type' value='pdf' id='pdfdoc' onclick='document.getElementById("ansabbrev").disabled=false;' />
                            <label for='pdfdoc'>PDF<br />
                            </label></li>
                    </ul></fieldset>
            </div>
            <div class='right'>
                <fieldset>
                    <legend>Column control</legend>
    
                    <input type='hidden' name='sid' value='$surveyid' />
                    Choose columns:
    
                    	<img src='/survey/images/help.gif' alt='Help' onclick='javascript:alert("Choose the columns you wish to export.")' />                <br /><select name='colselect[]' multiple size='20'>
                        <option value='id' selected>1: id - Besvarelse ID</option>
    <option value='submitdate' selected>2: submitdate - Dato for indsendelse</option>
    <option value='lastpage' selected>3: lastpage - Sidste side</option>
    <option value='startlanguage' selected>4: startlanguage - Standardsprog</option>
    <option value='token' selected>5: token - Respondentnøgle</option>
    <option value='581731X42X285' selected>6: 581731X42X285 - How old are you</option>
    <option value='581731X42X286' selected>7: 581731X42X286 - Please select a year</option>
    <option value='581731X42X287SQ001' selected>8: 581731X42X287SQ001 - This is the header (could be a question..)</option>
                    </select>
                    <br />&nbsp;</fieldset>
                        </div>
            <div style='clear:both;'><p><input type='submit' value='Export data' /></div></form></div><script type="text/javascript">
            <!--
            for(i=0; i<document.forms.length; i++)
            {
            var el = document.createElement('input');
            el.type = 'hidden';
            el.name = 'checksessionbypost';
            el.value = '3349j2e8ia';
            document.forms[i].appendChild(el);
            }
    
            function addHiddenElement(theform,thename,thevalue)
            {
            var myel = document.createElement('input');
            myel.type = 'hidden';
            myel.name = thename;
            theform.appendChild(myel);
            myel.value = thevalue;
            return myel;
            }
    
            function sendPost(myaction,checkcode,arrayparam,arrayval)
            {
            var myform = document.createElement('form');
            document.body.appendChild(myform);
            myform.action =myaction;
            myform.method = 'POST';
            for (i=0;i<arrayparam.length;i++)
            {
            addHiddenElement(myform,arrayparam[i],arrayval[i])
            }
            addHiddenElement(myform,'checksessionbypost',checkcode)
            myform.submit();
            }
    
            //-->
    </script>    <div class="push"></div>
    </div>
    <div class='footer'>
        <div style='float:left;width:110px;text-align:left;'>
        <a href='http://docs.limesurvey.org'><img alt='LimeSurvey - Online manual' title='LimeSurvey - Online manual' src='/survey/styles/gringegreen/images/docs.png' /></a>
        </div>
        <div style='float:right;'>
        <a href='http://donate.limesurvey.org'><img alt='Support this project: Donate to LimeSurvey' title='Support this project: Donate to LimeSurvey!' src='/survey/styles/gringegreen/images/donate.png'/></a>
        </div>
        <div class='subtitle'><a class='subtitle' title='Visit our website!' href='http://www.limesurvey.org' target='_blank'>LimeSurvey</a><br />Version 2.00+ Build 121011</div>
    </div>
    </body>
    </html>
    ? file icon 581731 (12,592 bytes) 2012-10-12 18:38 +
  • ? file icon survey_archive_581731.lsa (3,630 bytes) 2012-10-22 11:34
  • ? file icon 581731_debug2 (12,592 bytes) 2012-10-22 11:35 -
    <!DOCTYPE html>
    <html lang="en">
    <head>
            <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
        <script type="text/javascript" src="/survey/scripts/jquery/jquery.js"></script>
        <script type="text/javascript" src="/survey/scripts/jquery/jquery-ui.js"></script>
        <script type="text/javascript" src="/survey/scripts/jquery/jquery.ui.touch-punch.min.js"></script>
        <script type="text/javascript" src="/survey/scripts/jquery/jquery.qtip.js"></script>
        <script type="text/javascript" src="/survey/scripts/jquery/jquery.notify.js"></script>
        <script type="text/javascript" src="/survey/scripts/admin/admin_core.js"></script>
            <title>Survey</title>
        <link rel="stylesheet" type="text/css" href="/survey/styles/gringegreen/jquery-ui/jquery-ui.css" />
        <link rel="stylesheet" type="text/css" href="/survey/styles/gringegreen/printablestyle.css" media="print" />
        <link rel="stylesheet" type="text/css" href="/survey/styles/gringegreen/adminstyle.css" />
        <link rel="stylesheet" type="text/css" href="/survey/styles/adminstyle.css" />
                    <link rel="stylesheet" type="text/css" media="all" href="/survey/styles/gringegreen/superfish.css" />
                        <link rel="shortcut icon" href="/survey/styles/favicon.ico" type="image/x-icon" />
        <link rel="icon" href="/survey/styles/favicon.ico" type="image/x-icon" />
        </head>
    <body>
        <script type='text/javascript'>
            var userdateformat='dd.mm.yy';
            var userlanguage='en';
        </script>
        <div class='wrapper'>
            <div class='maintitle'>Survey</div>
    <div class='menubar'>
        <div class='menubar-title ui-widget-header'>
            <strong>Export results</strong>: (only for test purpose)
        </div>
        <div class='menubar-main'>
            <div class='menubar-left'>
                <a href='/survey/index.php/admin/survey/view/surveyid/581731'>
                    <img src='/survey/styles/gringegreen/images/home.png' title='' alt='Return to survey administration' /></a>
                <img src='/survey/styles/gringegreen/images/blank.gif' alt='' width='11' />
                <img src='/survey/styles/gringegreen/images/separator.gif' class='separator' alt='' />
    
                                <a href='/survey/index.php/admin/responses/index/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/summary.png' title='' alt='Show summary information' /></a>
                                        <a href='/survey/index.php/admin/responses/browse/surveyid/581731'>
                            <img src='/survey/styles/gringegreen/images/document.png' title='' alt='Display responses' /></a>
                                        <a href='/survey/index.php/admin/responses/browse/surveyid/581731/start/0/limit/50/order/desc'>
                        <img src='/survey/styles/gringegreen/images/viewlast.png' alt='Display last 50 responses' /></a>
                                    <a href='/survey/index.php/admin/dataentry/view/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/dataentry.png' alt='Dataentry screen for survey' /></a>
                                    <a href='/survey/index.php/admin/statistics/index/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/statistics.png' alt='Get statistics from these responses' /></a>
                                <img src='/survey/styles/gringegreen/images/separator.gif' class='separator' alt='' />
                                <a href='/survey/index.php/admin/export/exportresults/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/export.png' alt='Export results to application' /></a>
    
                    <a href='/survey/index.php/admin/export/exportspss/sid/581731'>
                        <img src='/survey/styles/gringegreen/images/exportspss.png' alt="Export results to a SPSS/PASW command file" /></a>
    
                    <a href='/survey/index.php/admin/export/exportr/sid/581731'>
                        <img src='/survey/styles/gringegreen/images/exportr.png' alt='Export results to a R data file' /></a>
                                    <a href='/survey/index.php/admin/dataentry/import/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/importold.png' alt='Import responses from a deactivated survey table' /></a>
                                <img src='/survey/styles/gringegreen/images/separator.gif' class='separator' alt='' />
    
                                <a href='/survey/index.php/admin/saved/view/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/saved.png' title='' alt='View saved but not submitted responses' /></a>
                                    <a href='/survey/index.php/admin/dataentry/vvimport/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/importvv.png' alt='Import a VV survey file' /></a>
                                    <a href='/survey/index.php/admin/export/vvexport/surveyid/581731'>
                        <img src='/survey/styles/gringegreen/images/exportvv.png' title='' alt='Export a VV survey file' /></a>
                            </div>
        </div>
    </div>
    <div class='header ui-widget-header'>Export results    </div>
    <div class='wrap2columns'>
        <form id='resultexport' action='/survey/index.php/admin/export/exportresults/surveyid/581731' method='post'><div class='left'>
    
                
                <fieldset             ><legend>General</legend>
    
                    <ul><li><label>Range:</label> From <input type='text' name='export_from' size='8' value='1' />
                            to <input type='text' name='export_to' size='8' value='2' /></li>
    
                        <li><br /><label for='completionstate'>Completion state</label> <select id='completionstate' name='completionstate'>
                                <option value='complete' >Completed responses only</option>
                                <option value='all' selected='selected'>All responses</option>
                                <option value='incomplete' >Incomplete responses only</option>
                            </select>
                        </li></ul></fieldset>
    
                <fieldset><legend>
                    Headings</legend>
                    <ul>
                        <li><input type='radio' class='radiobtn' name='exportstyle' value='code' id='headcodes' />
                            <label for='headcodes'>Question code</label></li>
                        <li><input type='radio' class='radiobtn' name='exportstyle' value='abbreviated' id='headabbreviated' />
                            <label for='headabbreviated'>Abbreviated question text</label></li>
                        <li><input type='radio' class='radiobtn' checked='checked' name='exportstyle' value='full' id='headfull'  />
                            <label for='headfull'>Full question text</label></li>
                        <li><br /><input type='checkbox' value='Y' name='convertspacetous' id='convertspacetous' />
                            <label for='convertspacetous'>
                            Convert spaces in question text to underscores</label></li>
                    </ul>
                </fieldset>
    
                <fieldset>
                    <legend>Responses</legend>
                    <ul>
                        <li><input type='radio' class='radiobtn' name='answers' value='short' id='ansabbrev' />
                            <label for='ansabbrev'>Answer codes</label></li>
    
                        <li><input type='checkbox' value='Y' name='convertyto1' id='convertyto1' style='margin-left: 25px' />
                            <label for='convertyto1'>Convert Y to</label> <input type='text' name='convertyto' size='3' value='1' maxlength='1' style='width:10px'  />
                        </li>
                        <li><input type='checkbox' value='Y' name='convertnto2' id='convertnto2' style='margin-left: 25px' />
                            <label for='convertnto2'>Convert N to</label> <input type='text' name='convertnto' size='3' value='2' maxlength='1' style='width:10px' />
                        </li><li>
                            <input type='radio' class='radiobtn' checked name='answers' value='long' id='ansfull' />
                            <label for='ansfull'>
                            Full answers</label></li>
                    </ul></fieldset>
                <fieldset><legend>Format</legend>
                    <ul>
                        <li><input type='radio' class='radiobtn' name='type' value='csv' id='csvdoc'  onclick='document.getElementById("ansabbrev").disabled=false;' />
                            <label for='csvdoc'>CSV File (all charsets)</label></li>
                        <li><input type='radio' class='radiobtn' name='type' value='xls' checked id='exceldoc'  onclick='document.getElementById("ansabbrev").disabled=false;' />
                            <label for='exceldoc'>Microsoft Excel (all charsets)                        </label></li>
                        <li>
                            <input type='radio' class='radiobtn' name='type' value='doc' id='worddoc' onclick='document.getElementById("ansfull").checked=true;document.getElementById("ansabbrev").disabled=true;' />
                            <label for='worddoc'>
                            Microsoft Word (latin charset)</label></li>
                        <li><input type='radio' class='radiobtn' name='type' value='pdf' id='pdfdoc' onclick='document.getElementById("ansabbrev").disabled=false;' />
                            <label for='pdfdoc'>PDF<br />
                            </label></li>
                    </ul></fieldset>
            </div>
            <div class='right'>
                <fieldset>
                    <legend>Column control</legend>
    
                    <input type='hidden' name='sid' value='$surveyid' />
                    Choose columns:
    
                    	<img src='/survey/images/help.gif' alt='Help' onclick='javascript:alert("Choose the columns you wish to export.")' />                <br /><select name='colselect[]' multiple size='20'>
                        <option value='id' selected>1: id - Besvarelse ID</option>
    <option value='submitdate' selected>2: submitdate - Dato for indsendelse</option>
    <option value='lastpage' selected>3: lastpage - Sidste side</option>
    <option value='startlanguage' selected>4: startlanguage - Standardsprog</option>
    <option value='token' selected>5: token - Respondentnøgle</option>
    <option value='581731X42X285' selected>6: 581731X42X285 - How old are you</option>
    <option value='581731X42X286' selected>7: 581731X42X286 - Please select a year</option>
    <option value='581731X42X287SQ001' selected>8: 581731X42X287SQ001 - This is the header (could be a question..)</option>
                    </select>
                    <br />&nbsp;</fieldset>
                        </div>
            <div style='clear:both;'><p><input type='submit' value='Export data' /></div></form></div><script type="text/javascript">
            <!--
            for(i=0; i<document.forms.length; i++)
            {
            var el = document.createElement('input');
            el.type = 'hidden';
            el.name = 'checksessionbypost';
            el.value = 'aid6ynfejh';
            document.forms[i].appendChild(el);
            }
    
            function addHiddenElement(theform,thename,thevalue)
            {
            var myel = document.createElement('input');
            myel.type = 'hidden';
            myel.name = thename;
            theform.appendChild(myel);
            myel.value = thevalue;
            return myel;
            }
    
            function sendPost(myaction,checkcode,arrayparam,arrayval)
            {
            var myform = document.createElement('form');
            document.body.appendChild(myform);
            myform.action =myaction;
            myform.method = 'POST';
            for (i=0;i<arrayparam.length;i++)
            {
            addHiddenElement(myform,arrayparam[i],arrayval[i])
            }
            addHiddenElement(myform,'checksessionbypost',checkcode)
            myform.submit();
            }
    
            //-->
    </script>    <div class="push"></div>
    </div>
    <div class='footer'>
        <div style='float:left;width:110px;text-align:left;'>
        <a href='http://docs.limesurvey.org'><img alt='LimeSurvey - Online manual' title='LimeSurvey - Online manual' src='/survey/styles/gringegreen/images/docs.png' /></a>
        </div>
        <div style='float:right;'>
        <a href='http://donate.limesurvey.org'><img alt='Support this project: Donate to LimeSurvey' title='Support this project: Donate to LimeSurvey!' src='/survey/styles/gringegreen/images/donate.png'/></a>
        </div>
        <div class='subtitle'><a class='subtitle' title='Visit our website!' href='http://www.limesurvey.org' target='_blank'>LimeSurvey</a><br />Version 2.00+ Build 121019</div>
    </div>
    </body>
    </html>
    ? file icon 581731_debug2 (12,592 bytes) 2012-10-22 11:35 +
  • zip file icon results_survey581731_debug0.zip (196 bytes) 2012-10-22 11:42

-Relationships
+Relationships

-Notes

~21248

DenisChenu (developer)

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=9741

~21251

docl (reporter)

Not sure I understand the changeset comment - What do you mean with: can export all result or one answer line. But another bug report for filter?

Just tried to use the new export.php file, and I still get an empty excel file..


Thanks

~21253

DenisChenu (developer)

Hello,

Can you download the file and put it here ? (Not open with excel before).

Mine is "not-empty", there are an line more, but it's not empty :).

~21254

docl (reporter)

Could not upload the xls file directly, had to zip it first..
This xls is created with the new export.php..

In this test survey there are two responses - when pdf or csv is created data is shown, but with xls..nothing

~21267

DenisChenu (developer)

Zut,

I have something and you not ...

Can you set debug to 2 on your system.

Look in application/core/config.php if you have already a line with:
'debug'=>0, and change it to set:
'debug'=>2,

Please

~21275

docl (reporter)

When debug set to 2 or 1 a file without a file extension is generated,
This file will still generate errors when opened in excel - this time the error is specific, regarding missing file links (template files),
The file contains some kind of relevant information :-), but in a very disorganised way :-(

~21276

c_schmitz (administrator)

docl, can you attach that latest file please?

~21277

docl (reporter)

Already did. It's the one without a file extension.. Just uploadet it with no changes at all..

~21415

docl (reporter)

Just wantvto know if this bug is in fact still open? Status is 'fixed' , but the problem still exists I believe (at least in my setup..). Thanks. John

~21418

DenisChenu (developer)

Sorry,

It work on my server, but there are seems some configuration where it don't work.

~21419

docl (reporter)

Last edited: 2012-10-22 10:56

View 2 revisions

Thanks, do you have any idea what the faulty config could be?

EDIT
My mistake - the following was when exporting statistics to pdf/excel - when exporting results there are no php errors shown..
---
When debug = 2 I get a lot of "undefined variable" notices - but as far as I know PHP does not require variables to be defined (hence it is a notice not an error), so this shouldn't be the dealbreaker here I suppose..?
---
EDIT

~21424

DenisChenu (developer)

No,

There are other user in forum with same problem, it's a server configuration i think.

Surely in ExcelWriter because CSV work good ...

Maybe a good solution is to replace libraries phpexcelwriter by
this Yii extension : http://www.yiiframework.com/extension/phpexcel/

~21431

c_schmitz (administrator)

docl, can you please update to the latest build and try again? Please test using the debug mode set to 2 and attach the resulting file.
Thank you.

~21432

c_schmitz (administrator)

What 'Undefined variable' notices do you get?

~21498

pjbauer (reporter)

I still get...

Firefox can't find the file at http://mydomain.com/survey/index.php/admin/statistics/index/surveyid/459297#start.

...if I try to export survey stats to Excel. (Build 121019)

~21499

c_schmitz (administrator)

Can you please test using the debug mode set to 2 and attach the resulting file.
Please also explain what 'undefined variable notice' you get.

~21524

docl (reporter)

Last edited: 2012-10-22 11:43

View 3 revisions

Sorry for the delay..
The bug is still present in the latest build, in my (and pjbauer's) setup.
I have attached three files. The survey, the result file when debug=0 (had to zip this files - apparently cannot upload xls files) and the result file when debug=2.
When debug = 0 an empty excel file is generated, this file will show a unspecific error when opened in excel 2007.
When debug = 2 firefox simply shows "cannot find the file" (like pjbauer reports), when IE is used, a file with no file extension is generated. This file will show specific errors regarding missing linked files (template files it seems) when opened in excel, and the contents of the files is from the survey, but completely random/messed up output.

~21532

c_schmitz (administrator)

docl, if you look at pjbauers link you can see it is about statistics so not relevant here. I still cannot reproduce here.

Would it be possible to get admin login to the LimeSurvey installation and FTP access to such a system so I can debug online?
If yes please send it to carsten.schmitz@limesurvey.org

Thank you.

~21581

c_schmitz (administrator)

?

~21712

c_schmitz (administrator)

It is solved now. It looks like the temporary folder set in your PHP configuration is not writable. Change LimeSurvey so it is using its own temporary dir.

~21713

c_schmitz (administrator)

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10031

~21777

c_schmitz (administrator)

New 2.00+ version released - please update.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2012-10-11 17:56 docl New Issue
2012-10-11 17:56 docl File Added: survey_bug_example_2.lsa
2012-10-11 18:44 DenisChenu Assigned To => DenisChenu
2012-10-11 18:44 DenisChenu Status new => assigned
2012-10-11 19:46 DenisChenu Changeset attached => LimeSurvey master 5faaa17d
2012-10-11 19:46 DenisChenu Note Added: 21248
2012-10-11 19:46 DenisChenu Resolution open => fixed
2012-10-11 23:39 docl Note Added: 21251
2012-10-12 08:48 DenisChenu Note Added: 21253
2012-10-12 09:22 docl File Added: results-survey581731.zip
2012-10-12 09:27 docl Note Added: 21254
2012-10-12 17:35 DenisChenu Note Added: 21267
2012-10-12 18:38 docl File Added: 581731
2012-10-12 18:41 docl Note Added: 21275
2012-10-12 22:14 c_schmitz File Deleted: results-survey581731.zip
2012-10-12 22:15 c_schmitz Note Added: 21276
2012-10-12 22:36 docl Note Added: 21277
2012-10-18 00:11 docl Note Added: 21415
2012-10-18 08:38 DenisChenu Assigned To DenisChenu =>
2012-10-18 08:38 DenisChenu Note Added: 21418
2012-10-18 09:48 docl Note Added: 21419
2012-10-18 10:16 DenisChenu Note Added: 21424
2012-10-18 12:13 DenisChenu Assigned To => DenisChenu
2012-10-18 12:13 DenisChenu Status assigned => new
2012-10-18 12:14 DenisChenu Assigned To DenisChenu =>
2012-10-18 12:41 c_schmitz Note Added: 21431
2012-10-18 12:41 c_schmitz Assigned To => c_schmitz
2012-10-18 12:41 c_schmitz Status new => feedback
2012-10-18 12:43 c_schmitz Note Added: 21432
2012-10-19 16:28 pjbauer Note Added: 21498
2012-10-19 16:43 c_schmitz Note Added: 21499
2012-10-22 10:56 docl Note Edited: 21419 View Revisions
2012-10-22 11:30 docl Note Added: 21524
2012-10-22 11:30 docl Status feedback => assigned
2012-10-22 11:34 docl File Added: survey_archive_581731.lsa
2012-10-22 11:35 docl File Added: 581731_debug2
2012-10-22 11:38 docl Note Edited: 21524 View Revisions
2012-10-22 11:42 docl File Added: results_survey581731_debug0.zip
2012-10-22 11:43 docl Note Edited: 21524 View Revisions
2012-10-22 14:31 c_schmitz Note Added: 21532
2012-10-22 14:32 c_schmitz Status assigned => feedback
2012-10-24 09:57 c_schmitz Note Added: 21581
2012-10-26 15:55 c_schmitz Status feedback => resolved
2012-10-26 15:55 c_schmitz Fixed in Version => 2.00+
2012-10-26 16:04 c_schmitz Changeset attached => LimeSurvey master ae819d31
2012-10-26 16:07 c_schmitz Note Added: 21712
2012-10-26 16:10 c_schmitz Changeset attached => LimeSurvey 2.1 eeaa0d7b
2012-10-26 16:10 c_schmitz Note Added: 21713
2012-10-30 14:52 c_schmitz Note Added: 21777
2012-10-30 14:52 c_schmitz Status resolved => closed
+Issue History